SOCKINFO Struct Reference
Network Socket Library

## Data Fields

SOCKET | socket
struct sockaddr_storage | foreign_sockaddr

## Field Documentation

## foreign_sockaddr

struct sockaddr_storage SOCKINFO::foreign_sockaddr

The following two fields are filled only in incoming requests.

Referenced by soap_device_callback(), and sock_init_with_ip().

## socket

SOCKET SOCKINFO::socket

Handle/descriptor to a socket.

Referenced by sock_init(), sock_init_with_ip(), and sock_read_write().

The documentation for this struct was generated from the following file:

- upnp/src/inc/sock.h